import json
from pathlib import Path

blank_config = {
    "console": {
        "prompt": ":> ",
    },
    "database": {
        "file": "users.json",
    },
    "localization": {
        "dir": "languages",
        "default": "en",
    }
}

class Config:
    file = Path("./config.json")

    def __init__(self):
        self._raw = {}

        self.console = {}
        self.database = {}
        self.localization = {}

        self.load()

    def create(self):
        with open(self.file, "w") as f:
            # noinspection PyTypeChecker
            json.dump(blank_config, f, indent=4)

    def load(self):
        if not self.file.exists():
            self.create()

        with open(self.file, "r") as f:
            self._raw = json.load(f)

        self.console = self._raw['console']
        self.database = self._raw['database']
        self.localization = self._raw['localization']
