class Console:

    def __init__(self, prompt: str, unknown_text="Unknown Command. Try help to see all commands."):
        self.prompt = prompt
        self.unknown_text = unknown_text
        self.run = True
        self.help = {}
        self.commands = {}

    def reg_command(self, name, help_message, callback):
        self.help[name] = help_message
        self.commands[name] = callback

    def update_help_messages(self, localization):
        for name in self.commands:
            # Перерегистрируем строку помощи для каждой команды
            localized_help = localization.t(f"cmd_{name}")
            self.help[name] = localized_help if localized_help != f"cmd_{name}" else name

    def stop(self):
        self.run = False

    def print_help(self):
        # Адаптация принта под новый код
        max_len = max(len(name) for name in self.help.keys())
        print("Available commands:")
        for name, text in self.help.items():
            print(f"{name:<{max_len}} -- {text}")

    def _start(self):
        while self.run:
            cmd = input(self.prompt).strip()
            if cmd not in self.commands:
                print(self.unknown_text)
                continue
            self.commands[cmd]()

    def start(self):
        try:
            self._start()
        except KeyboardInterrupt:
            pass
