from typing import Literal

class User:

    def __init__(self, username: str, name: str, surname: str, age: int, gender: Literal["male", "female"]):
        self.username = username
        self.name = name
        self.surname = surname
        self.age = age
        self.gender = gender

    def as_dict(self):
        return {
            "username": self.username,
            "name": self.name,
            "surname": self.surname,
            "age": self.age,
            "gender": self.gender
        }

    @classmethod
    def from_dict(cls, data: dict):
        return cls(data['username'], data['name'], data['surname'], data['age'], data['gender'])

    def __str__(self):
        return f"{self!r}"

    def __repr__(self):
        return f"User({self.username}, {self.name}, {self.surname}, {self.age}, {self.gender})"
